diff --git a/books/bookvol8.pamphlet b/books/bookvol8.pamphlet
index 633c050..ecef4e1 100644
--- a/books/bookvol8.pamphlet
+++ b/books/bookvol8.pamphlet
@@ -23104,7 +23104,7 @@ units on the axes.
 <<gdraws/data.c>>=
 /* Data file to test out Gdraw functions */
 
-#include "gdraws0.h"
+<<gdraws/gdraws0.h>>
 #include "../view3d/header.h"
 #include "nox10.h"
 
@@ -23384,7 +23384,7 @@ extern	char		*envAXIOM;     /* environment variable AXIOM or DEVE */
 #include <stdlib.h>
 #include <string.h>
 
-#include "gdraws0.h"
+<<gdraws/gdraws0.h>>
 <<include/g.h>>
 #include "hash.h"
 
@@ -24672,8 +24672,8 @@ XDeleteAssoc(Display * dsp,HashTable * table, Window w)
 <<gdraws/loadfont.c>>=
 /* load_font for display to test out Gdraw functions in this directory */
 
-#include "gdraws0.h"
-#include "../include/g.h"
+<<gdraws/gdraws0.h>>
+<<include/g.h>>
 
 #include <stdio.h>
 
@@ -24690,7 +24690,7 @@ Gdraws_load_font(XFontStruct **font_info, char *fontname)
 <<gdraws/main.c>>=
 /* main procedure to test out Gdraw functions in this directory */
 #include <stdio.h>
-#include "gdraws0.h"
+<<gdraws/gdraws0.h>>
 #include "../view3d/header.h"
 
 GC		gc, gc1;
@@ -24851,12 +24851,11 @@ main(int argc, char **argv)
 \section{gdraws Makefile}
 \subsection{environment variables}
 <<gdraws/Makefile>>=
-IN=	${SRC}/graph/gdraws
+BOOK=${SPD}/books/bookvol8.pamphlet
 MIDINT=	${INT}/graph/gdraws
 MIDOBJ=	${OBJ}/${SYS}/graph/gdraws
 OUT=	${MNT}/${SYS}/lib
 PS=	${MNT}/${SYS}/lib/graph
-DOC=    ${MNT}/${SYS}/doc/src/graph
 
 # local include files shared by graphics
 LINC=	${SRC}/graph/include
@@ -24876,12 +24875,9 @@ DOTH=	${SRC}/graph/viewman
 # a .c file in the library subdirectory
 DOTC=	${SRC}/lib
 
+CFLAGS	    = ${CCF} -I${LINC} -I${GINC} -I${HINC}
 
-DOCFILES= ${DOC}/gfun.c.dvi ${DOC}/psfiles.dvi
-
-CFLAGS	    = ${CCF} -I${LINC} -I${GINC} -I${IN} -I${HINC}
-
-HEADERS = ${IN}/gdraws0.h ${LINC}/g.h     ${LINC}/gfun.h1    \
+HEADERS = ${LINC}/g.h     ${LINC}/gfun.h1    \
           ${GINC}/hash.h  ${GINC}/hash.h1 
 
 PSFiles= ${PS}/colorpoly.ps ${PS}/colorwol.ps  ${PS}/draw.ps      \
@@ -24891,123 +24887,95 @@ PSFiles= ${PS}/colorpoly.ps ${PS}/colorwol.ps  ${PS}/draw.ps      \
          ${PS}/end.ps       ${PS}/fillarc.ps   ${PS}/fillpoly.ps  \
          ${PS}/fillwol.ps   ${PS}/header.ps    ${PS}/setup.ps
 
-all: ${MIDOBJ}/gfun.o ${PSFiles} ${DOCFILES}
-	@ echo 21 finished making ${SRC}/gdraws
+all: ${MIDOBJ}/gfun.o ${PSFiles} 
+	@ echo 21 finished making gdraws from ${BOOK}
 
-${MIDINT}/gfun.c: ${IN}/gfun.c.pamphlet
-	@ echo 1 making ${MIDINT}/gfun.c from ${IN}/gfun.c.pamphlet
-	@( cd ${MIDINT} ; \
-	${TANGLE} ${IN}/gfun.c.pamphlet >gfun.c )
+${MIDINT}/gfun.c: ${BOOK} 
+	@ echo 1 making ${MIDINT}/gfun.c from ${BOOK} 
+	@( cd ${MIDINT} ; ${TANGLE} -R"gdraws/gfun.c" ${BOOK} >gfun.c )
 
 ${MIDOBJ}/gfun.o: ${HEADERS} ${MIDINT}/gfun.c 
 	@ echo 2 making ${MIDOBJ}/gfun.o from ${MIDINT}/gfun.c
 	@ ( cd ${MIDOBJ} ; ${CC} -c ${CFLAGS} ${MIDINT}/gfun.c )
 
-${DOC}/gfun.c.dvi: ${IN}/gfun.c.pamphlet 
-	@echo 3 making ${DOC}/gfun.c.dvi from ${IN}/gfun.c.pamphlet 
-	@(cd ${DOC} ; \
-	cp ${IN}/gfun.c.pamphlet ${DOC} ; \
-	${DOCUMENT} ${NOISE} gfun.c ; \
-	rm -f ${DOC}/gfun.c.pamphlet ; \
-	rm -f ${DOC}/gfun.c.tex ; \
-	rm -f ${DOC}/gfun.c )
-
-
-${PS}/colorpoly.ps: ${IN}/psfiles.pamphlet
-	@ echo 3 ${PS}/colorpoly.ps from ${IN}/psfiles.pamphlet
-	@ ${TANGLE} -R"colorpoly" psfiles.pamphlet >${PS}/colorpoly.ps
+${PS}/colorpoly.ps: ${BOOK} 
+	@ echo 3 ${PS}/colorpoly.ps from ${BOOK} 
+	@ ${TANGLE} -R"gdraws/psfiles/colorpoly" ${BOOK} >${PS}/colorpoly.ps
 
-${PS}/colorwol.ps: ${IN}/psfiles.pamphlet
-	@ echo 4 ${PS}/colorwol.ps from ${IN}/psfiles.pamphlet
-	@ ${TANGLE} -R"colorwol" psfiles.pamphlet >${PS}/colorwol.ps
+${PS}/colorwol.ps: ${BOOK} 
+	@ echo 4 ${PS}/colorwol.ps from ${BOOK} 
+	@ ${TANGLE} -R"gdraws/psfiles/colorwol" ${BOOK} >${PS}/colorwol.ps
 
-${PS}/draw.ps: ${IN}/psfiles.pamphlet
-	@ echo 5 ${PS}/draw.ps from ${IN}/psfiles.pamphlet
-	@ ${TANGLE} -R"draw" psfiles.pamphlet >${PS}/draw.ps
+${PS}/draw.ps: ${BOOK} 
+	@ echo 5 ${PS}/draw.ps from ${BOOK} 
+	@ ${TANGLE} -R"gdraws/psfiles/draw" ${BOOK} >${PS}/draw.ps
 
-${PS}/drawIstr.ps: ${IN}/psfiles.pamphlet
-	@ echo 6 ${PS}/drawIstr.ps from ${IN}/psfiles.pamphlet
-	@ ${TANGLE} -R"drawIstr" psfiles.pamphlet >${PS}/drawIstr.ps
+${PS}/drawIstr.ps: ${BOOK} 
+	@ echo 6 ${PS}/drawIstr.ps from ${BOOK} 
+	@ ${TANGLE} -R"gdraws/psfiles/drawIstr" ${BOOK} >${PS}/drawIstr.ps
 
-${PS}/drawarc.ps: ${IN}/psfiles.pamphlet
-	@ echo 7 ${PS}/drawarc.ps from ${IN}/psfiles.pamphlet
-	@ ${TANGLE} -R"drawarc" psfiles.pamphlet >${PS}/drawarc.ps
+${PS}/drawarc.ps: ${BOOK} 
+	@ echo 7 ${PS}/drawarc.ps from ${BOOK} 
+	@ ${TANGLE} -R"gdraws/psfiles/drawarc" ${BOOK} >${PS}/drawarc.ps
 
-${PS}/drawcolor.ps: ${IN}/psfiles.pamphlet
-	@ echo 8 ${PS}/drawcolor.ps from ${IN}/psfiles.pamphlet
-	@ ${TANGLE} -R"drawcolor" psfiles.pamphlet >${PS}/drawcolor.ps
+${PS}/drawcolor.ps: ${BOOK} 
+	@ echo 8 ${PS}/drawcolor.ps from ${BOOK} 
+	@ ${TANGLE} -R"gdraws/psfiles/drawcolor" ${BOOK} >${PS}/drawcolor.ps
 
-${PS}/drawline.ps: ${IN}/psfiles.pamphlet
-	@ echo 9 ${PS}/drawline.ps from ${IN}/psfiles.pamphlet
-	@ ${TANGLE} -R"drawline" psfiles.pamphlet >${PS}/drawline.ps
+${PS}/drawline.ps: ${BOOK} 
+	@ echo 9 ${PS}/drawline.ps from ${BOOK} 
+	@ ${TANGLE} -R"gdraws/psfiles/drawline" ${BOOK} >${PS}/drawline.ps
 
-${PS}/drawlines.ps: ${IN}/psfiles.pamphlet
-	@ echo 10 ${PS}/drawlines.ps from ${IN}/psfiles.pamphlet
-	@ ${TANGLE} -R"drawlines" psfiles.pamphlet >${PS}/drawlines.ps
+${PS}/drawlines.ps: ${BOOK} 
+	@ echo 10 ${PS}/drawlines.ps from ${BOOK} 
+	@ ${TANGLE} -R"gdraws/psfiles/drawlines" ${BOOK} >${PS}/drawlines.ps
 
-${PS}/drawpoint.ps: ${IN}/psfiles.pamphlet
-	@ echo 11 ${PS}/drawpoint.ps from ${IN}/psfiles.pamphlet
-	@ ${TANGLE} -R"drawpoint" psfiles.pamphlet >${PS}/drawpoint.ps
+${PS}/drawpoint.ps: ${BOOK} 
+	@ echo 11 ${PS}/drawpoint.ps from ${BOOK} 
+	@ ${TANGLE} -R"gdraws/psfiles/drawpoint" ${BOOK} >${PS}/drawpoint.ps
 
-${PS}/drawrect.ps: ${IN}/psfiles.pamphlet
-	@ echo 12 ${PS}/drawrect.ps from ${IN}/psfiles.pamphlet
-	@ ${TANGLE} -R"drawrect" psfiles.pamphlet >${PS}/drawrect.ps
+${PS}/drawrect.ps: ${BOOK} 
+	@ echo 12 ${PS}/drawrect.ps from ${BOOK} 
+	@ ${TANGLE} -R"gdraws/psfiles/drawrect" ${BOOK} >${PS}/drawrect.ps
 
-${PS}/drawstr.ps: ${IN}/psfiles.pamphlet
-	@ echo 13 ${PS}/drawstr.ps from ${IN}/psfiles.pamphlet
-	@ ${TANGLE} -R"drawstr" psfiles.pamphlet >${PS}/drawstr.ps
+${PS}/drawstr.ps: ${BOOK} 
+	@ echo 13 ${PS}/drawstr.ps from ${BOOK} 
+	@ ${TANGLE} -R"gdraws/psfiles/drawstr" ${BOOK} >${PS}/drawstr.ps
 
-${PS}/drwfilled.ps: ${IN}/psfiles.pamphlet
-	@ echo 14 ${PS}/drwfilled.ps from ${IN}/psfiles.pamphlet
-	@ ${TANGLE} -R"drwfilled" psfiles.pamphlet >${PS}/drwfilled.ps
+${PS}/drwfilled.ps: ${BOOK} 
+	@ echo 14 ${PS}/drwfilled.ps from ${BOOK} 
+	@ ${TANGLE} -R"gdraws/psfiles/drwfilled" ${BOOK} >${PS}/drwfilled.ps
 
-${PS}/end.ps: ${IN}/psfiles.pamphlet
-	@ echo 15 ${PS}/end.ps from ${IN}/psfiles.pamphlet
-	@ ${TANGLE} -R"end" psfiles.pamphlet >${PS}/end.ps
+${PS}/end.ps: ${BOOK} 
+	@ echo 15 ${PS}/end.ps from ${BOOK} 
+	@ ${TANGLE} -R"gdraws/psfiles/end" ${BOOK} >${PS}/end.ps
 
-${PS}/fillarc.ps: ${IN}/psfiles.pamphlet
-	@ echo 16 ${PS}/fillarc.ps from ${IN}/psfiles.pamphlet
-	@ ${TANGLE} -R"fillarc" psfiles.pamphlet >${PS}/fillarc.ps
+${PS}/fillarc.ps: ${BOOK} 
+	@ echo 16 ${PS}/fillarc.ps from ${BOOK} 
+	@ ${TANGLE} -R"gdraws/psfiles/fillarc" ${BOOK} >${PS}/fillarc.ps
 
-${PS}/fillpoly.ps: ${IN}/psfiles.pamphlet
-	@ echo 17 ${PS}/fillpoly.ps from ${IN}/psfiles.pamphlet
-	@ ${TANGLE} -R"fillpoly" psfiles.pamphlet >${PS}/fillpoly.ps
+${PS}/fillpoly.ps: ${BOOK} 
+	@ echo 17 ${PS}/fillpoly.ps from ${BOOK} 
+	@ ${TANGLE} -R"gdraws/psfiles/fillpoly" ${BOOK} >${PS}/fillpoly.ps
 
-${PS}/fillwol.ps: ${IN}/psfiles.pamphlet
-	@ echo 18 ${PS}/fillwol.ps from ${IN}/psfiles.pamphlet
-	@ ${TANGLE} -R"fillwol" psfiles.pamphlet >${PS}/fillwol.ps
+${PS}/fillwol.ps: ${BOOK} 
+	@ echo 18 ${PS}/fillwol.ps from ${BOOK} 
+	@ ${TANGLE} -R"gdraws/psfiles/fillwol" ${BOOK} >${PS}/fillwol.ps
 
-${PS}/header.ps: ${IN}/psfiles.pamphlet
-	@ echo 19 ${PS}/header.ps from ${IN}/psfiles.pamphlet
-	@ ${TANGLE} -R"header" psfiles.pamphlet >${PS}/header.ps
+${PS}/header.ps: ${BOOK} 
+	@ echo 19 ${PS}/header.ps from ${BOOK} 
+	@ ${TANGLE} -R"gdraws/psfiles/header" ${BOOK} >${PS}/header.ps
 
-${PS}/setup.ps: ${IN}/psfiles.pamphlet
-	@ echo 20 ${PS}/setup.ps ${IN}/psfiles.pamphlet
-	@ ${TANGLE} -R"setup" psfiles.pamphlet >${PS}/setup.ps
-
-
-${DOC}/psfiles.dvi: ${IN}/psfiles.pamphlet 
-	@echo 3 making ${DOC}/psfiles.dvi from ${IN}/psfiles.pamphlet 
-	@(cd ${DOC} ; \
-	cp ${IN}/psfiles.pamphlet ${DOC} ; \
-	${DOCUMENT} ${NOISE} psfiles ; \
-	rm -f ${DOC}/psfiles.pamphlet ; \
-	rm -f ${DOC}/psfiles.tex ; \
-	rm -f ${DOC}/psfiles )
-
-
-clean: 
-	@ echo 22 cleaning ${IN}/gdraws
-
-document: 
-	@ echo 23 documenting ${IN}/gdraws
+${PS}/setup.ps: ${BOOK} 
+	@ echo 20 ${PS}/setup.ps ${BOOK} 
+	@ ${TANGLE} -R"gdraws/psfiles/setup" ${BOOK} >${PS}/setup.ps
 
 @
 \section{menu.c}
 <<gdraws/menu.c>>=
 /* menu of display used for testing out Gdraw functions in this directory */
-#include "gdraws0.h"
-#include "../include/g.h"
+<<gdraws/gdraws0.h>>
+<<include/g.h>>
 
 extern GC gc;
 
@@ -25033,8 +25001,6 @@ Gdraws_draw_menu(Window menu, char *str, int width, int height)
    XFlush(dsply);
 }
 @
-\section{psfiles}
-<<gdraws/psfiles>>=
 \section{The postscript command definitions}
 \subsection{colorpoly}
 \begin{verbatim}
@@ -25050,7 +25016,7 @@ operand stack configuration in order to use psColorPoly:
 this draws a polygon by connecting all the points and fills the
 region with foreground color
 \end{verbatim}
-<<colorpoly>>=
+<<gdraws/psfiles/colorpoly>>=
 /psColorPoly
         {	gsave
                 newpath
@@ -25078,7 +25044,7 @@ operand stack configuration in order to use psDrawFilled:
 this draws lines connecting all the points and fills the
 region with background color (default: 1, or white).
 \end{verbatim}
-<<colorwol>>=
+<<gdraws/psfiles/colorwol>>=
 /psColorwOutline
         {	gsave
                 newpath
@@ -25108,7 +25074,7 @@ and height specifies the rectangle which encases the arc.
 Origin is at upper left corner of rectangle.
 This function uses "scale" to make cricles and ellipses.
 \end{verbatim}
-<<drawarc>>=
+<<gdraws/psfiles/drawarc>>=
 /psDrawArc 
         {	gsave
                 newpath
@@ -25142,7 +25108,7 @@ operand stack configuration in order to use psDrawColor:
 	graphics-context dictionary
 to draw lines connecting points in vlist[0] to vlist[n]
 \end{verbatim}
-<<drawcolor>>=
+<<gdraws/psfiles/drawcolor>>=
 /psDrawColor
         {	gsave
                 newpath
@@ -25167,7 +25133,7 @@ operand stack configuration in order to use psDrawIStr:
 it draws a text string in foreground color on top of bounding box of
 string, which is in background color.
 \end{verbatim}
-<<drawIstr>>=
+<<gdraws/psfiles/drawIstr>>=
 /psDrawIStr
         {	gsave
 		newpath					%% for rectangle
@@ -25217,7 +25183,7 @@ operand stack configuration in order to use psDrawLine:
 	graphics-context dictionary
 this draws a line from (x0, y0) to (x1, y1).
 \end{verbatim}
-<<drawline>>=
+<<gdraws/psfiles/drawline>>=
 /psDrawLine
         {	gsave
                 newpath
@@ -25241,7 +25207,7 @@ operand stack configuration in order to use psDrawLines:
 	graphics-context dictionary
 this draws lines connecting all the points.
 \end{verbatim}
-<<drawlines>>=
+<<gdraws/psfiles/drawlines>>=
 /psDrawLines
         {	gsave
                 newpath
@@ -25263,7 +25229,7 @@ operand stack configuration in order to use psDrawPoint:
 	graphics-context dictionary
 this draws a point at (x0, y0).
 \end{verbatim}
-<<drawpoint>>=
+<<gdraws/psfiles/drawpoint>>=
 /psDrawPoint
         {	gsave
                 newpath
@@ -25287,7 +25253,7 @@ operand stack configuration in order to use psDraw:
 	graphics-context dictionary
 to draw lines connecting points in vlist[0] to vlist[n]
 \end{verbatim}
-<<draw>>=
+<<gdraws/psfiles/draw>>=
 /psDraw
         {	gsave
                 newpath
@@ -25312,7 +25278,7 @@ operand stack configuration in order to use psDrawRect:
 this draws an outline of a rectangle whose origin is at (x,y) and is width
 + 1 wide and height + 1 tall.
 \end{verbatim}
-<<drawrect>>=
+<<gdraws/psfiles/drawrect>>=
 /psDrawRect
         {	gsave
                 newpath
@@ -25332,7 +25298,7 @@ operand stack configuration in order to use psDrawStr:
 	graphics-context dictionary
 this function draws a text string at (x,y).
 \end{verbatim}
-<<drawstr>>=
+<<gdraws/psfiles/drawstr>>=
 /psDrawStr
         {	gsave
 		newpath
@@ -25357,7 +25323,7 @@ operand stack configuration in order to use psDrawFilled:
 this draws lines connecting all the points and fills the
 region with background color (default: 1, or white).
 \end{verbatim}
-<<drwfilled>>=
+<<gdraws/psfiles/drwfilled>>=
 /psDrawFilled
         {	gsave
                 newpath
@@ -25373,7 +25339,7 @@ region with background color (default: 1, or white).
 \subsection{end}
 \begin{verbatim}
 \end{verbatim}
-<<end>>=
+<<gdraws/psfiles/end>>=
 
    cleartomark					%% clearing operand stack
 
@@ -25401,7 +25367,7 @@ and height specifies the rectangle which encases the arc.
 Origin is at upper left corner of rectangle.
 This function uses "scale" to make cricles and ellipses.
 \end{verbatim}
-<<fillarc>>=
+<<gdraws/psfiles/fillarc>>=
 /psFillArc
         {	gsave
 		yVal moveto
@@ -25437,7 +25403,7 @@ operand stack configuration in order to use psDrawFilled:
 this draws a polygon by connecting all the points and fills the
 region with foreground color
 \end{verbatim}
-<<fillpoly>>=
+<<gdraws/psfiles/fillpoly>>=
 /psFillPoly
         {	gsave
                 newpath
@@ -25465,7 +25431,7 @@ operand stack configuration in order to use psDrawFilled:
 this draws lines connecting all the points and fills the
 region with background color (default: 1, or white).
 \end{verbatim}
-<<fillwol>>=
+<<gdraws/psfiles/fillwol>>=
 /psFillwOutline
         {	gsave
                 newpath
@@ -25483,7 +25449,7 @@ region with background color (default: 1, or white).
 \subsection{header}
 \begin{verbatim}
 \end{verbatim}
-<<header>>=
+<<gdraws/psfiles/header>>=
 %!PS-Adobe-2.0
 %%DocumentFonts: Times-Roman
 %%Creator: Axiom
@@ -25644,7 +25610,7 @@ region with background color (default: 1, or white).
 \subsection{setup}
 \begin{verbatim}
 \end{verbatim}
-<<setup>>=
+<<gdraws/psfiles/setup>>=
 %-------------------------- script --------------------------%
 
 % 1 inch 1 inch translate
@@ -25652,8 +25618,6 @@ region with background color (default: 1, or white).
    mark					%% mark bottom of our stack
 
 @
-<<*>>=
-@
 \section{yesorno.c}
 <<gdraws/yesorno.c>>=
 /*
@@ -25661,7 +25625,7 @@ region with background color (default: 1, or white).
  * out Gdraw functions in this directory.
  */
 
-#include "gdraws0.h"
+<<gdraws/gdraws0.h>>
 
 int
 Gdraws_pressed_yes(int win_width, int win_height, int x, int y)
diff --git a/changelog b/changelog
index 70b7bd7..68f5eab 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20080608 tpd books/bookvol8 make gdraws
+20080608 tpd src/graph/Makefile make gdraws
 20080607 tpd FAQ 48: Getting Axiom sources from git
 20080607 tpd src/graph/viewalone/Makefile deleted (use bookvol8)
 20080607 tpd src/graph/viewalone/parabola.view/bitmap deleted (use bookvol8)
diff --git a/src/graph/Makefile.pamphlet b/src/graph/Makefile.pamphlet
index 0c3407b..69f0647 100644
--- a/src/graph/Makefile.pamphlet
+++ b/src/graph/Makefile.pamphlet
@@ -27,16 +27,16 @@ DIRS=viewmandir gdrawsdir view2ddir view3ddir viewalonedir
 @
 \subsection{The viewman directory}
 <<viewmandir>>=
-viewmandir: ${SRC}/graph/viewman/Makefile
-	@ echo 1 making ${SRC}/graph/viewman 
+viewmandir: ${INT}/graph/viewman/Makefile
+	@ echo 1 making ${INT}/graph/viewman 
 	@ mkdir -p ${OBJ}/${SYS}/graph/viewman
 	@ mkdir -p ${OBJ}/${SYS}/lib
 	@ mkdir -p ${MNT}/${SYS}/lib
 	@ mkdir -p ${MNT}/${SYS}/doc/src/graph
 	@(cd ${INT}/graph/viewman ; ${ENV} ${MAKE} )
 
-${SRC}/graph/viewman/Makefile: ${BOOK}
-	@echo 2 making ${SRC}/graph/viewman/Makefile from ${BOOK}
+${INT}/graph/viewman/Makefile: ${BOOK}
+	@ echo 2 making ${INT}/graph/viewman/Makefile from ${BOOK}
 	@ mkdir -p ${INT}/graph/viewman
 	@( cd ${INT}/graph/viewman ; \
 	  ${TANGLE} -t8 -R"viewman/Makefile" ${BOOK} >Makefile )
@@ -44,30 +44,19 @@ ${SRC}/graph/viewman/Makefile: ${BOOK}
 @
 \subsection{The gdraws directory}
 <<gdrawsdir>>=
-gdrawsdir: ${SRC}/graph/gdraws/Makefile
-	@echo 5 making ${SRC}/graph/gdraws
-	@mkdir -p ${INT}/graph/gdraws
+gdrawsdir: ${INT}/graph/gdraws/Makefile
+	@echo 5 making ${INT}/graph/gdraws
 	@mkdir -p ${OBJ}/${SYS}/graph/gdraws
 	@mkdir -p ${MNT}/${SYS}/lib
 	@mkdir -p ${MNT}/${SYS}/lib/graph
 	@mkdir -p ${MNT}/${SYS}/doc/src/graph
-	@(cd gdraws ; ${ENV} ${MAKE} )
-
-${SRC}/graph/gdraws/Makefile: ${SRC}/graph/gdraws/Makefile.pamphlet
-	@echo 6 making ${SRC}/graph/gdraws/Makefile from ${SRC}/graph/gdraws/Makefile.pamphlet
-	@( cd gdraws ; \
-           ${DOCUMENT} ${NOISE} Makefile ; \
-	   cp Makefile.dvi ${MNT}/${SYS}/doc/src/graph.gdraws.Makefile.dvi )
+	@(cd ${INT}/graph/gdraws ; ${ENV} ${MAKE} )
 
-gdrawsdocument: ${SRC}/graph/gdraws/Makefile
-	@echo 7 documenting ${SRC}/graph/gdraws
-	@( cd gdraws ; ${ENV} ${MAKE} document )
-
-gdrawsclean: ${SRC}/graph/gdraws/Makefile
-	@echo 8 cleaning ${SRC}/graph/gdraws
-	@( cd gdraws ; ${ENV} ${MAKE} clean )
-	@rm -f ${SRC}/graph/gdraws/Makefile
-	@rm -f ${SRC}/graph/gdraws/Makefile.dvi
+${INT}/graph/gdraws/Makefile: ${BOOK} 
+	@echo 6 making ${INT}/graph/gdraws/Makefile from ${BOOK} 
+	@mkdir -p ${INT}/graph/gdraws
+	@( cd ${INT}/graph/gdraws ; \
+	  ${TANGLE} -t8 -R"gdraws/Makefile" ${BOOK} >Makefile )
 
 @
 \subsection{The view3d directory}
@@ -112,7 +101,7 @@ viewalonedir: ${SRC}/graph/viewalone/Makefile
 	@mkdir -p ${OBJ}/${SYS}/graph/viewalone
 	@mkdir -p ${MNT}/${SYS}/bin
 	@mkdir -p ${MNT}/${SYS}/doc/src/graph
-	@(cd viewalone ; ${ENV} ${MAKE} )
+	@(cd ${INT}/graph/viewalone ; ${ENV} ${MAKE} )
 
 ${SRC}/graph/viewalone/Makefile: ${BOOK} 
 	@echo 18 making ${SRC}/graph/viewalone/Makefile from ${BOOK} 
